/*
 * Copyright 2015 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opentestalliance;

/**
 * {@link RuntimeException} used to indicate that a test was aborted, either
 * prior to or during execution.
 *
 * @author Sam Brannen
 * @since 1.0
 */
public class TestAbortedException extends RuntimeException {

	private static final long serialVersionUID = -5277362515874754471L;


	public TestAbortedException() {
	}

	public TestAbortedException(String message) {
		super(message);
	}

	public TestAbortedException(String message, Throwable cause) {
		super(message, cause);
	}

}
